//---------------------------------
//-- 	PEACH-Ij^		--
//-- SIO|[gAWX^rbg	--
//--	sio.h			--
//---------------------------------
#define	SIO_RBR		*(unsigned char *)0x8000	// Receive Buffer	DLAB=0, Read
#define	SIO_THR		*(unsigned char *)0x8000	// Transmit Holding	DLAB=0, Write
#define	SIO_IER		*(unsigned char *)0x8001	// Interrupt Enable	DLAB=0
#define	SIO_DLL		*(unsigned char *)0x8000	// Divisor Latch(LS)	DLAB=1
#define	SIO_DLM		*(unsigned char *)0x8001	// Divisor Latch(MS)	DLAB=1

#define	SIO_IIR		*(unsigned char *)0x8002	// Interrupt Ident	Read
#define	SIO_FCR		*(unsigned char *)0x8002	// FIFO Control		Write
#define	SIO_LCR		*(unsigned char *)0x8003	// Line Control
#define	SIO_MCR		*(unsigned char *)0x8004	// Modem Control
#define	SIO_LSR		*(unsigned char *)0x8005	// Line Status
#define	SIO_MSR		*(unsigned char *)0x8006	// Modem Status
#define	SIO_SCR		*(unsigned char *)0x8007	// Scratch


#define	LSR_THRE	0x20				// Transmit Holding Register Empty
#define	LSR_DR		0x01
#define	IER_ETBEI	0x02				// Enable Transmitter holding register empty
#define	IER_ERBFI	0x01				// Enable Receive data available
