//========================================
//== PEACH-Ipj^vO		==
//========================================

#include "cstdef.h"
#include "ctype.h"
#include "sio.h"
extern unsigned char cmdsts;
extern void printf(unsigned char *, unsigned int);
extern void puts(unsigned char *);
extern void exec_cmd(unsigned char *);
extern void code_entry(void);

#define	E_READY		0
#define	E_EMPTY		1
#define	E_FULL		2
//
// VAMpOobt@
//
#define	TXBUFSIZE	16
unsigned char	txbuf[TXBUFSIZE];
unsigned char	txhead, txtail, txcount;
unsigned char	txpushdat;
unsigned char	txpushstat;
unsigned char	txpopdat;
unsigned char	txpopstat;
unsigned char	txstopreq;
unsigned char	txstopack;

//
// VAMpOobt@
//
#define	RXBUFSIZE	16
unsigned char	rxbuf[RXBUFSIZE];
unsigned char	rxhead, rxtail, rxcount;
unsigned char	rxpushdat;
unsigned char	rxpushstat;
unsigned char	rxpopdat;
unsigned char	rxpopstat;

//
// R}hpCobt@
//
#define	LBUFSIZE	80
unsigned char	lbuf[LBUFSIZE+1];
unsigned char	lbufpos;

unsigned char	breakreq;	// OCɂu[NvtO
unsigned char	exitreq;	// R}hvvgpINGXgtO

//------------------------------------------------
//-- MpOobt@̃f[^o	--
//------------------------------------------------
void  pop_txbuf(void)
{
	__asm__("php");				// tOPUSH
	__asm__("sei");				// ֎~iSet Interrupt Maskj
	if (txcount > 0) {			// Mobt@Ƀf[^Ă
		txpopdat = txbuf[txtail];	// f[^o
		txtail++;			// |C^i߂Ă
		if (txtail >= TXBUFSIZE)
			txtail = 0;
		txcount--;			// obt@JE^炷
		txpopstat = E_READY;
	} else {
		txtail = txhead;		// Mobt@
		txpopdat = 0;			// Ƃ肠kLN^
		txpopstat = E_EMPTY;
	}
	__asm__("plp");				// tO
}

//--------------------------------
//-- SIOւ̃f[^Zbg	--
//--------------------------------
void sio_putc(void)
{
	if (txstopreq) {			// M~vĂ
		SIO_IER &= ~IER_ETBEI;		// ~߂
		txstopack = 1;			// ~tOZbg
	} else {
		pop_txbuf();			// obt@f[^擾
		if (txpopstat == E_EMPTY) {	// 󂾂
			SIO_IER &= ~IER_ETBEI;	// ~߂
			txstopack = 1;		// ~tOZbg
		} else {
			SIO_THR = txpopdat;	// Mf[^Zbg
			if (txstopack) {	// ܂܂őM~
				SIO_IER |= IER_ETBEI;	// 
				txstopack = 0;		// ~tOZbg
			}
		}
	}
}

//----------------------------------------
//-- MpOobt@ւ̃f[^}	--
//----------------------------------------
void push_txbuf(void)
{
	__asm__("php");	// Push Processor Status register
	__asm__("sei");	// Set Interrupt Mask (Disable Interrupt)
	if (txcount < TXBUFSIZE) {		// Mobt@ɋ󂫂
		txpushstat = E_READY;
		txbuf[txhead] = txpushdat;	// Mobt@Ƀf[^Zbg
		txhead++;			// |C^i߂Ă
		if (txhead >= TXBUFSIZE)
			txhead = 0;
		txcount++;			// obt@JE^CNg
		if ((txcount == 1) && !txstopreq && txstopack)	// 1'stLN^M~vM~Ȃ
			sio_putc();				// MĊJ
	} else {
		txpushstat = E_FULL;		// obt@ɋ󂫂ȂȂXe[^XԂĂ
	}
	__asm__("plp");	// Pop Processor Status register
}


//------------------------------------------------
//-- MpOobt@̃f[^o	--
//------------------------------------------------
void  pop_rxbuf(void)
{
	__asm__("php");	// Push Processor Status register
	__asm__("sei");	// Set Interrupt Mask (Disable Interrupt)
	if (rxcount > 0) {			// Mf[^
		rxpopdat = rxbuf[rxtail];	// Mf[^o
		rxtail++;			// |C^i߂Ă
		if (rxtail >= RXBUFSIZE)
			rxtail = 0;
		rxcount--;			// obt@JE^炷
		rxpopstat = E_READY;
	} else {
		rxtail = rxhead;		// Mf[^
		rxpopdat = 0;			// Ƃ肠kLN^
		rxpopstat = E_EMPTY;
	}
	__asm__("plp");	// Pop Processor Status register
}



//----------------------------------------
//-- MpOobt@ւ̃f[^}	--
//----------------------------------------
void push_rxbuf(void)
{
	__asm__("php");	// Push Processor Status register
	__asm__("sei");	// Set Interrupt Mask (Disable Interrupt)
	if (rxcount < RXBUFSIZE) {		// Mobt@ɋ󂫂
		rxpushstat = E_READY;
		rxbuf[rxhead] = rxpushdat;	// f[^l߂
		rxhead++;			// |C^i߂Ă
		if (rxhead >= RXBUFSIZE)
			rxhead = 0;
		rxcount++;			// obt@JE^CNg
	} else {
		rxpushstat = E_FULL;		// ȂȂXe[^XԂ
	}
	__asm__("plp");	// Pop Processor Status register
}

//----------------------------------------
//-- MpOobt@ւ̃f[^}	--
//----------------------------------------
void sio_getc(void)
{
	rxpushdat = SIO_RBR;
	if ((isprint(rxpushdat)) || (rxpushdat == CR) || (rxpushdat == BS)) {
		if (islower(rxpushdat))		// 啶ɕϊĂ
			rxpushdat -= ('a'-'A');
		push_rxbuf();
	} else {
		if (rxpushdat == CTRL_Q) {	// MĊJv
			txstopreq = 0;		// ~vtO
			if (txstopack == 1)	// M~
				sio_putc();	// ĊJĂ݂
		} else if (rxpushdat == CTRL_S) {	// CTRL+SȂ瑗M~v
			txstopreq = 1;		// tOĂĂi~͑Mŏj
		} else if (rxpushdat == CTRL_C) {
			cmdsts = E_BREAK;
		}
	}
	rxpushdat = 0;	// RpC̃oO΍
}


//------------------------------------------------
//-- 荞ݏGg			--
//-- boot.sĂяoB			--
//-- 񊄍SIOȂ̂SIO̊	--
//-- ʓ|݂Ă邾B			--
//-- 6502̓X^bN256oCgȂ̂C	--
//-- [JϐȂǂ̓\tgEFAX^bN	--
//-- ĂB̃X^bN쒆	--
//-- ֎~ɂȂȂ̂ŁA荞ݏł	--
//-- [Jϐgʂg			--
//------------------------------------------------
#define	IIR_TXEMPTY	0x02
#define	IIR_RXAVAIL	0x04
unsigned char iirdat,lsrdat;
void cirq(void)
{
	do {
		iirdat = SIO_IIR & 0xf;		// ʃWX^̉ʂSrbg`FbN
		switch(iirdat) {		
			case	IIR_TXEMPTY:
				sio_putc();
				break;
			case	IIR_RXAVAIL:
				sio_getc();
				break;
			default:
				break;
		}
	} while (iirdat != 0x1);
}


//--------------------------------
//-- ꕶo			--
//-- printf̍ŉʃxo	--
//-- ɂȂĂ		--
//-- printf	--
//-- ̏o͐悪ς		--
//--------------------------------
void putc(unsigned char c)
{
	txpushdat = c;
	do {
		push_txbuf();
	} while(txpushstat != E_READY);
}

//--------------------------------
//-- SIO(16550)̏		--
//--------------------------------
void init_sio(void)
{
	SIO_IER = 0;		// ֎~
	SIO_FCR = 0x00;		// FIFOfBZ[u
	SIO_FCR = 0x06;		// MFIFOAMFIFOZbg
	SIO_FCR = 0x00;		// FIFOZbg
	SIO_LCR = 0x87;		// DLAB=1 Parity:None, Stop:2bit Data:8bit
	SIO_DLL = 33;		// 5MHz/16/9600(bps) = 33
	SIO_DLM = 0x00;
	SIO_LCR = 0x07;		// DLAB=0 Parity:None, Stop:2bit Data:8bit
	SIO_IER = IER_ETBEI | IER_ERBFI;	// M
}

//--------------------------------
//-- s擾			--
//--------------------------------
unsigned char getline(void)
{
	lbufpos = 0;
	while(1){
		pop_rxbuf();					// Mf[^o
		if (rxpopstat == E_READY) {			// f[^
			if (rxpopdat == CR) {
				lbuf[lbufpos] = EOS;
				printf("\n",'0');		// CR+LF𑗂Bp[^̓_~[
				break;
			}
			if (rxpopdat == BS) {			// Back Space 
				if (lbufpos) {			// Ă΍폜
					printf("%c ",BS);	// ^[~iBS̓J[\߂邾Ȃ̂
					putc(BS);		// BS+[space]+BS𑗂
					lbufpos--;		// obt@|C^fNg
				}
				continue;
			}
			putc(rxpopdat);
			lbuf[lbufpos++] = rxpopdat;		// f[^lߍ
			if (lbufpos >= LBUFSIZE) {		// ȂȂIɂ
				lbuf[lbufpos] = EOS;
				break;
			}
		}
	}
	return(lbufpos);
}

//------------------------
//--@ԉ҂	--
//------------------------
void delay()
{
	unsigned int	i;
	for (i=0; i<0x2fff; i++)
		;
}

//----------------------------------------
//--@MpOobt@̏	--
//----------------------------------------
void init_trxbuf(void)
{
	txstopreq = 0;
	txstopack = 0;
	txhead = 0;
	txtail = 0;
	txcount = 0;

	rxhead = 0;
	rxtail = 0;
	rxcount = 0;

	lbufpos = 0;
}

//----------------------------------------
//--@C[`			--
//-- main()ɂƁA]vȃR[h	--
//-- f̂cmain()ɂ		--
//----------------------------------------
void cmain(void)
{
	unsigned char brk;
	unsigned char c;
	c = 0;
	init_trxbuf();		// obt@
	init_sio();		// SIO
	delay();		// Ƒ҂Ă
	__asm__ ("cli");	// ɂ
	while(1) {
		exitreq = 0;
		breakreq = 0;
		printf("\n***** PEACH-I MONITOR [%04xH] ",(unsigned int)(&code_entry) );
		printf("Version %04X *****\n", VERSION);
		while(!exitreq) {
			puts("\r\n*Ready.\r\n");
			brk = 0;
			getline();		// s擾
			exec_cmd(lbuf);		// R}h
		}
	}
}
