;
; Startup code for cc65 
;
	.import	_cmain
	.import	_cirq
	.importzp   	sp
	.export _code_entry
nmi_entry:
	pha
	phx
	phy

	ply
	plx
	pla
	rti

startup:
	ldx	#$ff
	txs
	lda	#<stktop
	sta	sp
	lda	#>stktop
	sta	sp+1
	jsr	_cmain
	bra	startup

irq_entry:
	pha
	phx
	phy
	jsr	_cirq
	ply
	plx
	pla
	rti
.segment	"STACK"
	.res	1023
stktop:

.segment	"ZEROPAGE"
dt:	.byte	0
pt:	.word	0

.segment	"INITJUMP"
_code_entry:
	jmp	startup
.segment       	"VECTORS"
vector_nmi:
	.addr	nmi_entry
vector_reset:
	.addr	startup
vector_irqb:
	.addr	irq_entry
; ------------------------------------------------------------------------
