//-----------------------------------------------
//-@PEACH-Ij^				-
//-	tH[}bgo͏			-
//-	printf̃TuZbgȏt̏o	-
//-----------------------------------------------

#include "ctype.h"
#include "cstdef.h"

extern void putc(unsigned char c);


union	DATAS {
	unsigned int	word;
	unsigned char	byte[2];
};

static union DATAS udat;
static unsigned char tbuf[20];



unsigned int slen(unsigned char	*s)
{
	unsigned int	len;
	for (len=0; *s; len++,s++)
		;
	return(len);
}


void puts(unsigned char *c)
{
	while(*c)
		putc(*c++);
}

void print_pads(
	int		width,
	unsigned int	padchar)
{
	while(width-- > 0)
		putc(padchar);
}

void print_val(unsigned int	width,
	  unsigned int  padchar,
	  unsigned int  base)
{
	unsigned int	datwidth;
	unsigned char	*p;
	p = tbuf;
	for (datwidth=0; udat.word >0; datwidth++) {
		if ((*p = (unsigned char )((udat.word % base) + '0')) > '9')
			*p += (unsigned char)('A'-'0'-10);
		p++;
		udat.word /= base;
	}
	if (datwidth == 0) {
		*p++ = '0';
		datwidth = 1;
	}
	print_pads(width-datwidth,padchar);
	while(datwidth--)
		putc(*--p);
}

void printf(
	unsigned char	*string,
	unsigned int	param)
{
	unsigned char	padchar;
	unsigned char	align;
	unsigned int	width;
	while(*string) {
		if (*string == LF) {
			putc(CR);
			putc(LF);
			string++;
			continue;
		}
		if (*string != '%') {
			putc(*string);
			string++;
			continue;
		}
		string++;
		align = *string;
		if (align == '-') {
			string++;
			align = 1;
		} else	align = 0;
		padchar = *string;
		if (padchar == '0')
			string++;
		else	padchar = ' ';
		for (width = 0; isdigit(*string); width = width*10+(*string++ - '0'))
			;
		if (!width)
			width++;
		switch(*string) {
			case	'b':
			case	'B':	udat.word = param;
					print_val(width,padchar,2);
					break;
			case	'o':
			case	'O':	udat.word = param;
					print_val(width,padchar,8);
					break;
			case	'u':
			case	'U':	udat.word = param;
					print_val(width,padchar,10);
					break;
			case	'd':
			case	'D':	udat.word = param;
					print_val(width,padchar,10);
					break;
			case	'x':
			case	'X':	udat.word = param;
					print_val(width,padchar,16);
					break;
			case	'c':	print_pads(width-1,' ');
					putc(param);
					break;
			case	'S':
			case	's':	if (!align)
						print_pads(width-slen((unsigned char *)param),' ');
					puts((unsigned char *)param);
					if (align)
						print_pads(width-slen((unsigned char *)param),' ');
					break;
			default:	putc('%');
					putc(*string);
					break;
		}
		string++;
	}
}

